summaryrefslogtreecommitdiffstats
path: root/system-config/components/0130-slim
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/0130-slim')
-rwxr-xr-xsystem-config/components/0130-slim82
1 files changed, 82 insertions, 0 deletions
diff --git a/system-config/components/0130-slim b/system-config/components/0130-slim
new file mode 100755
index 0000000..04bbd7d
--- /dev/null
+++ b/system-config/components/0130-slim
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.noautologin|noautologin)
+ LIVE_CONFIG_NOAUTOLOGIN="true"
+ ;;
+
+ live-config.nox11autologin|nox11autologin)
+ LIVE_CONFIG_NOX11AUTOLOGIN="true"
+ ;;
+
+ live-config.username=*|username=*)
+ LIVE_USERNAME="${_PARAMETER#*username=}"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Disables both console and graphical autologin.
+ case "${LIVE_CONFIG_NOAUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Disables graphical autologin, no matter what mechanism
+ case "${LIVE_CONFIG_NOX11AUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/slim.list ] || \
+ [ -e /var/lib/live/config/slim ]
+ then
+ exit 0
+ fi
+
+ echo -n " slim"
+}
+
+Config ()
+{
+ # Checking if package is already configured differently
+ if grep -qs "^auto_login" /etc/slim.conf
+ then
+ exit 0
+ fi
+
+ # autologin
+ sed -i -r -e "s|^#.*auto_login.*\$|auto_login yes|" \
+ -e "s|^#.*default_user.*\$|default_user ${LIVE_USERNAME}|" \
+ /etc/slim.conf
+
+ # Avoid xinit
+ touch /var/lib/live/config/xinit
+
+ # Creating state file
+ touch /var/lib/live/config/slim
+}
+
+Cmdline
+Init
+Config